[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Openshift Origin Install OK, BUT...



Thanks a lot, that was fast, you rocks!
This is why I like redhat so much x)

Le 8 sept. 2014 19:23, "N. Harrison Ripps" <hripps redhat com> a écrit :
Hey all--
Thanks for pointing out this issue. I have updated the Puppet module and oo-install / install.openshift.com to install the correct cartridge (MySQL) for non-Fedora deployments. Please let us know if you run into this problem again.

Cheers,
Harrison

> On Sep 8, 2014, at 10:02, Billy Bones <gael therond gmail com> wrote:
>
> Hi Aerotodor,
>
> I wanted to use the MySQL-5.5 cartridge so I basically just made a SED on my Json file and clear all cache on the broker, everything is working fine for me now.
>
> I'll switch on MariaDB IF and only IF Oracle or RedHat do not support/sell it anymore, but I doubt that happen in a near future :D
>
> I'll made a personal cartridge for MariaDB on my own to exercise myself anyway so, it don't really matter if the provided one is broken for now for me.
>
> BUT, you probably should try to ask for a push on GitHub regarding your issue as it could be an improvement for the community.
>
> 2014-09-08 15:57 GMT+02:00 aerotodor <aerotodor gmail com>:
> Hi Billy
>
> I'm experiencing same issue (OpenShift Origin v4 on Centos 6.5, setup via portable installer)
>
> quickstarts.json that gets installed requires mariadb cartridge for most quickstarts, but mariadb cartridge is not installed by default.
>
> quickstarts.json is somehow not in sync with https://github.com/openshift/origin-server/blob/openshift-origin-release-4/broker/conf/quickstarts.json
> Github version requires mysql-5, mariadb cartridge is not mentioned.
>
>  Then I tried to install mariadb cartridge. It failed, caused by following issue https://github.com/openshift/origin-server/issues/5759
>
> There were couple of other issues with mariadb cartridge (bin/install and bin/post_install files) that needed to get fixed before the cartridge was usable.
> I was than able to run all quickstarts except Drupal (gets stuck on PHP cartridge provisioning)
>
>
>
>
> On 08-09-2014 09:11, Billy Bones wrote:
>> I everyone, following my last thread, I've finish the multi-node installation process of OpenShift Origin and It works like a charm, except for one thing.
>>
>> I can't use any quickstart which require MySQL (or any other database gear).
>> It's like if the broker can't see the DB Cartridges except that it can use them if I pop out a php/ruby or any basic language based gears.
>>
>> I've run all oo-diagnostics and oo-accept-* without a single error.
>> My broker cache have been cleared and services restarted just to be sure.
>>
>> I've try to delete and then re-sync the cartridges on nodes and broker but I ended with the exact same situation.
>>
>> So, if you have any clue, once again, it will be much more appreciate :D
>>
>> Many thanks.
>>
>>
>> _______________________________________________
>> users mailing list
>>
>> users lists openshift redhat com
>> http://lists.openshift.redhat.com/openshiftmm/listinfo/users
>
>
> _______________________________________________
> users mailing list
> users lists openshift redhat com
> http://lists.openshift.redhat.com/openshiftmm/listinfo/users


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]